### Constructor

# Adw ShortcutsItem new_from_action

since: 1.8

#### Declaration [src]

    AdwShortcutsItem*
    adw_shortcuts_item_new_from_action (
      const char* title,
      const char* action_name
    )

#### Description [src]

Creates a new `AdwShortcutsItem` with `title` and `action_name`.

Available since: 1.8

#### Parameters

`title`

  Type: `const char*`

  The shortcut title.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`action_name`

  Type: `const char*`

  The shortcut action name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AdwShortcutsItem`

The newly created `AdwShortcutsItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.